Register a passkey
curl --request POST \
--url https://api.glassmarkets.io/v1/user/passkeys/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"ceremony_id": "<string>",
"name": "<string>",
"credential": "<unknown>"
}
'import requests
url = "https://api.glassmarkets.io/v1/user/passkeys/"
payload = {
"ceremony_id": "<string>",
"name": "<string>",
"credential": "<unknown>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({ceremony_id: '<string>', name: '<string>', credential: '<unknown>'})
};
fetch('https://api.glassmarkets.io/v1/user/passkeys/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.glassmarkets.io/v1/user/passkeys/"
payload := strings.NewReader("{\n \"ceremony_id\": \"<string>\",\n \"name\": \"<string>\",\n \"credential\": \"<unknown>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.glassmarkets.io/v1/user/passkeys/")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"ceremony_id\": \"<string>\",\n \"name\": \"<string>\",\n \"credential\": \"<unknown>\"\n}")
.asString();{
"id": 123,
"name": "<string>",
"device_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"backed_up": true,
"last_used_at": "2023-11-07T05:31:56Z"
}Account
Register a passkey
Completes a passkey registration started with POST /v1/user/passkeys/options/ and returns the new passkey.
POST
/
v1
/
user
/
passkeys
/
Register a passkey
curl --request POST \
--url https://api.glassmarkets.io/v1/user/passkeys/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"ceremony_id": "<string>",
"name": "<string>",
"credential": "<unknown>"
}
'import requests
url = "https://api.glassmarkets.io/v1/user/passkeys/"
payload = {
"ceremony_id": "<string>",
"name": "<string>",
"credential": "<unknown>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({ceremony_id: '<string>', name: '<string>', credential: '<unknown>'})
};
fetch('https://api.glassmarkets.io/v1/user/passkeys/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.glassmarkets.io/v1/user/passkeys/"
payload := strings.NewReader("{\n \"ceremony_id\": \"<string>\",\n \"name\": \"<string>\",\n \"credential\": \"<unknown>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.glassmarkets.io/v1/user/passkeys/")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"ceremony_id\": \"<string>\",\n \"name\": \"<string>\",\n \"credential\": \"<unknown>\"\n}")
.asString();{
"id": 123,
"name": "<string>",
"device_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"backed_up": true,
"last_used_at": "2023-11-07T05:31:56Z"
}Authorizations
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data

